Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Get store by store id

GET
/dr/v1/stores/{storeID}
curl --request GET \
--url https://sender.sandbox-api.kivra.com/dr/v1/stores/example

Fetch information on the given store

Access scope

  • PARTNER
  • CHAIN
  • STORE
storeID
required
string

Store ID

Successfully fetched store

Media typeapplication/json
GetStoreResponse
object
store_id
string
external_id
string
owner_id
string
partner_id
string
name
string
vat
string
phone
string
icon_url
string
logo_url
string
address
object
street1
string
street2
string
street3
string
postalcode
string
city
string
state
string
country
string
Example
{
"store_id": "012345678901234567890123456789012345678901",
"external_id": "ex000001",
"owner_id": "8a499ffb488d9ca501488dc3fba0005b",
"name": "Demo Store",
"vat": "SE012345678989",
"address": {
"street1": "Gatan 1",
"postalcode": "13254",
"city": "One Buying",
"country": "SWE"
},
"icon_url": "https://test.url.net/api/v1/resources/156257243392d65d706e044b56b168c452809d68f6",
"logo_url": "https://test.url.net/api/v1/resources/156257243392d65d706e044b56b168c452809d68f6"
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40100",
"short_message": "unauthorized",
"long_message": "permission denied"
}

Not found

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleresource_not_found
{
"error_code": "40400",
"short_message": "not found",
"long_message": "the requested resource could not be found"
}

Internal server error

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Example
{
"error_code": "50000",
"short_message": "internal server error",
"long_message": "unknown error ocurred"
}